@use '../../../global/styles/link';
@use '../../../global/styles/border';

:host {
	--digi-form-process-step--indicator--background: var(--digi--color--background--primary);
	--digi-form-process-step--indicator--border-color: var(--digi--global--color--profile--purple--opacity15);
	--digi-form-process-step--indicator--color: var(--digi--global--color--profile--purple--opacity60);
	--digi-form-process-step--label--color: var(--digi--global--color--neutral--grayscale--darker-2);
	--digi-form-process-step--indicator--size: var(--digi--global--spacing--larger);
}

.digi-form-process-step {
	counter-increment: steps;

	&--type-completed {
		--digi-form-process-step--indicator--background: var(--digi--color--background--secondary);
		--digi-form-process-step--indicator--border-color: var(--digi--color--border--primary);
		--digi-form-process-step--indicator--color: var(--digi--color--text--secondary);
		--digi-form-process-step--label--color: var(--digi--global--color--neutral--grayscale--darker-3);
		--digi-form-process-step--hover-background: var(--digi--color--background--secondary);
	}

	&--type-current {
		--digi-form-process-step--indicator--background: var(--digi--color--background--inverted-1);
		--digi-form-process-step--indicator--border-color: var(--digi--color--border--primary);
		--digi-form-process-step--indicator--color: var(--digi--color--text--inverted);
		--digi-form-process-step--label--color: var(--digi--global--color--neutral--grayscale--darker-3);
	}

	&--context-fallback {
		--digi-form-process-step--indicator--size: var(--digi--global--spacing--small-2);

		border-block-end: border.$list;
		padding: var(--digi--gutter--smallest) 0;

		&:hover {
			background: var(--digi-form-process-step--hover-background);
		}
	}
}

.digi-form-process-step__control {
	@include link.base;

	width: 100%;
	font-size: var(--digi--global--typography--font-size--small);
	display: grid;
	grid-template-columns: auto 1fr;
	grid-auto-flow: columns;
	gap: var(--digi--gutter--smallest-4);
	align-items: center;
	text-align: start;

	&:hover {
		text-decoration: none;
	}

	.digi-form-process-step--type-current &,
	.digi-form-process-step--type-upcoming & {
		color: var(--digi-form-process-step--label--color);
		font-weight: var(--digi--global--typography--font-weight--regular);

		&:hover {
			color: var(--digi-form-process-step--label--color);
		}
	}

	&::before {
		content: counter(steps);
		width: var(--digi-form-process-step--indicator--size);
		height: var(--digi-form-process-step--indicator--size);
		border-radius: 50%;
		display: flex;
		align-items: center;
		justify-content: center;
		background: var(--digi-form-process-step--indicator--background);
		border: 1px solid var(--digi-form-process-step--indicator--border-color);
		color: var(--digi-form-process-step--indicator--color);
	}
}
